image: ubuntu

stages:
  - changelog

changelog:
  stage: changelog
  only:
    # Our release tags pattern is release-x.x.x if your tag pattern is different you can change the below regex
    - /^release-[0-9]{1}.[0-9]{1}.[0-9]{1}$/
  script:
    - apt-get update
    - apt-get install -y git
    - apt-get install -y curl
    #libfontconfig is a secret dependency for phantomjs and adanic-auto-changelog package
    - apt-get install -y libfontconfig
    - curl -sL https://deb.nodesource.com/setup_10.x | bash
    - apt-get install -y nodejs
    - npm i adanic-auto-changelog
    - npm i nodemailer
    - npm i moment
    # Definitely you Should pass your country timezon as TZ variable in below line
    - TZ=Asia/Tehran tag=$CI_COMMIT_TAG deployerEmail=$GITLAB_USER_EMAIL appName=$appName issueUrl=$issueUrl issuePattern=$issuePattern smtpHost=$smtpHost smtpPort=$smtpPort smtpUser=$smtpUser smtpPassword=$smtpPassword senderEmail=$senderEmail recipientsMailList=$recipientsMailList node changelogMailer.js